py4j

## Class GatewayServer.GatewayServerBuilder

- java.lang.Object
- - py4j.GatewayServer.GatewayServerBuilder

- Enclosing class:
    GatewayServer

      public static class GatewayServer.GatewayServerBuilder
      extends java.lang.Object

  Helper class to make it easier and self-documenting how a `GatewayServer` is constructed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatewayServerBuilder()`
    `GatewayServerBuilder(java.lang.Object entryPoint)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GatewayServer` | `build()`
    `GatewayServer.GatewayServerBuilder` | `callbackClient(CallbackClient callbackClient)`
    `GatewayServer.GatewayServerBuilder` | `callbackClient(int pythonPort, java.net.InetAddress pythonAddress)`
    `GatewayServer.GatewayServerBuilder` | `connectTimeout(int connectTimeout)`
    `GatewayServer.GatewayServerBuilder` | `customCommands(java.util.List<java.lang.Class<? extends Command>> customCommands)`
    `GatewayServer.GatewayServerBuilder` | `entryPoint(java.lang.Object entryPoint)`
    `GatewayServer.GatewayServerBuilder` | `javaAddress(java.net.InetAddress javaAddress)`
    `GatewayServer.GatewayServerBuilder` | `javaPort(int javaPort)`
    `GatewayServer.GatewayServerBuilder` | `readTimeout(int readTimeout)`
    `GatewayServer.GatewayServerBuilder` | `serverSocketFactory(javax.net.ServerSocketFactory serverSocketFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GatewayServerBuilder

          public GatewayServerBuilder()

    - #### GatewayServerBuilder

          public GatewayServerBuilder(java.lang.Object entryPoint)

  - ### Method Detail

    - #### build

          public GatewayServer build()

    - #### javaPort

          public GatewayServer.GatewayServerBuilder javaPort(int javaPort)

    - #### javaAddress

          public GatewayServer.GatewayServerBuilder javaAddress(java.net.InetAddress javaAddress)

    - #### callbackClient

          public GatewayServer.GatewayServerBuilder callbackClient(int pythonPort,
                                                                   java.net.InetAddress pythonAddress)

    - #### callbackClient

          public GatewayServer.GatewayServerBuilder callbackClient(CallbackClient callbackClient)

    - #### connectTimeout

          public GatewayServer.GatewayServerBuilder connectTimeout(int connectTimeout)

    - #### readTimeout

          public GatewayServer.GatewayServerBuilder readTimeout(int readTimeout)

    - #### serverSocketFactory

          public GatewayServer.GatewayServerBuilder serverSocketFactory(javax.net.ServerSocketFactory serverSocketFactory)

    - #### entryPoint

          public GatewayServer.GatewayServerBuilder entryPoint(java.lang.Object entryPoint)

    - #### customCommands

          public GatewayServer.GatewayServerBuilder customCommands(java.util.List<java.lang.Class<? extends Command>> customCommands)